## gwyddionenums gwyddionenums — Common libgwyddion enumerations |

## Types and Values

enum | GwySIUnitFormatStyle
enum | GwyNLFitParamFlags
enum | GwyPercentileInterpolationType

## Includes

    #include <libgwyddion/gwyddion.h>

## Description

## Functions

## Types and Values

### enum GwySIUnitFormatStyle

Physical quantity formatting style.

The VF-variants differ from tne non-VF ones by a multiplication sign at the start of units (where appropriate).

#### Members

GWY_SI_UNIT_FORMAT_NONE | No units. This value is unused by GwySIUnit itself and must not be requested as a format style. |
GWY_SI_UNIT_FORMAT_PLAIN | Plain style, as one would use on a text terminal. |
GWY_SI_UNIT_FORMAT_MARKUP | Pango markup, for units usable standalone. |
GWY_SI_UNIT_FORMAT_VFMARKUP | Pango markup, for units directly after value. |
GWY_SI_UNIT_FORMAT_TEX | Representation that can be typeset by TeX, for units usable standalone. |
GWY_SI_UNIT_FORMAT_VFTEX | Representation that can be typeset by TeX, for units directly after value. (Since 2.50) |
GWY_SI_UNIT_FORMAT_UNICODE | Representation in which exponents are rendered as Unicode characters, for units usable standalone. (Since 2.50) |
GWY_SI_UNIT_FORMAT_VFUNICODE | Representation in which exponents are rendered as Unicode characters, for units directly after value. (Since 2.50) |

### enum GwyNLFitParamFlags

Type of fitting parameter properties.

#### Members

GWY_NLFIT_PARAM_ANGLE | Parameter is an angle. It is defined in radians and unitless but you may wish to convert it from/to degrees in the user interface. It is consdered periodic and always reduced to the range [0, 2π). |
GWY_NLFIT_PARAM_ABSVAL | Parameter is a width or distance that is by definition positive. Only its absolute value matters and it is always made non-negative. |

Since: 2.47

### enum GwyPercentileInterpolationType

Type of interpolation for percentile calculation.

The interpolations are used when the percentile does not correspond exactly to a rank.

#### Members

GWY_PERCENTILE_INTERPOLATION_LINEAR | Linear interpolation of the two nearest values. |
GWY_PERCENTILE_INTERPOLATION_LOWER | Round the rank down to an integer. |
GWY_PERCENTILE_INTERPOLATION_HIGHER | Round the rank up to an integer. |
GWY_PERCENTILE_INTERPOLATION_NEAREST | Round the rank to nearest integer. |
GWY_PERCENTILE_INTERPOLATION_MIDPOINT | Average of the two nearest values. |

Since: 2.50